%define major 1
%define libname %mklibname enchant %{major}
%define develname %mklibname enchant -d

Summary:	An enchanting spell checking library
Name:		enchant
Version:	1.6.0
Release:	%mkrel 13
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.abisource.com/projects/enchant/
Source0:	http://www.abisource.com/downloads/enchant/%{version}/%{name}-%{version}.tar.gz
Patch0:		enchant-1.6.0-add-more-myspell-dicts-dirs.patch
Patch1:		hunspell-1.4.0-has-no-limit.patch
BuildRequires:	pkgconfig(glib-2.0) >= 2.6
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(hunspell)
BuildRequires:	voikko-devel
BuildRequires:	pkgconfig(dbus-glib-1)

%description
A library that wraps other spell checking backends.

%package -n %{libname}
Summary:	Libraries for enchant
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n	%{libname}
This package provides the libraries for using enchant.

%package -n %{libname}-zemberek
Summary:        Zemberek library for enchant
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Recommends:       zemberek-server
Provides:       locale(%{name}:az)
Provides:       locale(%{name}:tk)
Provides:       locale(%{name}:tr)
Provides:       locale(%{name}:tt)

%description -n	%{libname}-zemberek
This package provides the zemberek libraries for using enchant.

%package -n %{develname}
Summary:	Libraries and include files for developing with enchant
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{mklibname enchant 1}-devel = %{version}-%{release}
Obsoletes:	%{mklibname enchant 1}-devel

%description -n	%{develname}
This package provides the necessary development libraries and include
files to allow you to develop with enchant.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x --disable-static \
	--with-system-myspell=yes \
	--enable-zemberek="yes" \
	--disable-ispell --disable-aspell --disable-uspell --disable-hspell\
	--with-myspell-dir=%{_datadir}/hunspell
	
%make

%install
%makeinstall_std

find %{buildroot} -name '*.la' -delete

%files
%doc AUTHORS HACKING README TODO
%{_bindir}/*
%{_datadir}/enchant
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/libenchant.so.%{major}{,.*}
%dir %{_libdir}/enchant
%{_libdir}/enchant/libenchant_myspell.so
%{_libdir}/enchant/libenchant_voikko.so

%files -n %{libname}-zemberek
%dir %{_libdir}/enchant
%{_libdir}/enchant/libenchant_zemberek.so

%files -n %{develname}
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/enchant.pc
%{_includedir}/enchant


%changelog
* Thu Apr 21 2016 tv <tv> 1.6.0-13.mga6
+ Revision: 1004129
- patch 1: fix build with hunspell 1.4

* Mon Feb 08 2016 umeabot <umeabot> 1.6.0-12.mga6
+ Revision: 946877
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.6.0-11.mga5
+ Revision: 739662
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.0-10.mga5
+ Revision: 679007
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sat Oct 19 2013 umeabot <umeabot> 1.6.0-9.mga4
+ Revision: 523252
- Mageia 4 Mass Rebuild

* Sun Mar 31 2013 fwang <fwang> 1.6.0-8.mga3
+ Revision: 406882
- update br

* Sun Mar 31 2013 zezinho <zezinho> 1.6.0-7.mga3
+ Revision: 406878
- enable zemberek to use turkish

* Fri Jan 11 2013 umeabot <umeabot> 1.6.0-6.mga3
+ Revision: 349663
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 1.6.0-5.mga3
+ Revision: 325126
- rebuild for Mga3 Beta1

* Sun Jan 08 2012 lmenut <lmenut> 1.6.0-4.mga2
+ Revision: 193515
- allow to use dictionaries from:
   + /usr/share/hunspell
   + /usr/share/myspell
   + /usr/share/dict/ooo

  + fwang <fwang>
    - only enable hunspell engine

* Wed Oct 26 2011 fwang <fwang> 1.6.0-3.mga2
+ Revision: 158148
- drop .la files

* Sun Jun 26 2011 fwang <fwang> 1.6.0-2.mga2
+ Revision: 113987
- rebuild for new hunspell

* Fri Jan 14 2011 mikala <mikala> 1.6.0-1.mga1
+ Revision: 17777
- Drop mdk macros
- imported package enchant

